#include <bits/stdc++.h>
using namespace std;
int niz[100000],pozicije[100000];
int main()
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);
int n,k;
cin>>n>>k;
for(int i=0;i<n;i++)
{
cin>>niz[i];
pozicije[niz[i]]=i;
}
if(pozicije[k]==n-1)
cout<<niz[0]<<endl;
else
cout<<niz[pozicije[k]+1]<<endl;
return 0;
}